// Price Feed Contract Addresses: https://docs.chain.link/docs/ethereum-addresses
const networkConfig = {
    11155111: {
        // Sepolia ETHUSD Address
        // https://docs.chain.link/data-feeds/price-feeds/addresses#Sepolia%20Testnet
        name: "Sepolia Testnet",
        ethUsdPriceFeed: "0x694AA1769357215DE4FAC081bf1f309aDC325306",
        rpcUrl: "https://eth-sepolia.g.alchemy.com/v2/mRFz7cxFuR6hAxYLr8oub4jbinOuocs_",
    },
    137: {
        name: "Polygon Mainnet",
        ethUsdPriceFeed: "0xF9680D99D6C9589e2a93a78A04A279e509205945",
        rpcUrl: "https://polygon-mainnet.infura.io",
    },
    80002: {
        name: "Polygon Amoy Testnet",
        ethUsdPriceFeed: "0xF0d50568e3A7e8259E16663972b11910F89BD8e7",
        rpcUrl: "https://rpc-amoy.polygon.technology",
    },
};

const developmentChains = ["hardhat", "localhost"];
const DECIMALS = 8;
const INITIAL_ANSWER = 200000000000;

module.exports = {
    networkConfig,
    developmentChains,
    DECIMALS,
    INITIAL_ANSWER,
};
